Loading...
Searching...
No Matches
Dune::MatrixDimension< BCRSMatrix< B, TA > > Struct Template Reference

`#include <dune/istl/matrixutils.hh>`

Inheritance diagram for Dune::MatrixDimension< BCRSMatrix< B, TA > >:

## Public Types

typedef BCRSMatrix< B, TA > | Matrix
typedef Matrix::block_type | block_type
typedef Matrix::size_type | size_type

## Static Public Member Functions

static size_type | rowdim (const Matrix &A, size_type i)
static size_type | coldim (const Matrix &A, size_type c)
static size_type | rowdim (const Matrix &A)
static size_type | coldim (const Matrix &A)

## Member Typedef Documentation

## block_type

template<typename B, typename TA>

typedef Matrix::block_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::block_type

## Matrix

template<typename B, typename TA>

typedef BCRSMatrix<B,TA> Dune::MatrixDimension< BCRSMatrix< B, TA > >::Matrix

## size_type

template<typename B, typename TA>

typedef Matrix::size_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::size_type

## Member Function Documentation

## coldim() [1/2]

template<typename B, typename TA>

size_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::coldim | ( | const Matrix & | A | ) |

inline static

## coldim() [2/2]

template<typename B, typename TA>

size_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::coldim | ( | const Matrix & | A,
|  | size_type | c )

inline static

## rowdim() [1/2]

template<typename B, typename TA>

size_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::rowdim | ( | const Matrix & | A | ) |

inline static

## rowdim() [2/2]

template<typename B, typename TA>

size_type Dune::MatrixDimension< BCRSMatrix< B, TA > >::rowdim | ( | const Matrix & | A,
|  | size_type | i )

inline static

The documentation for this struct was generated from the following file:

- matrixutils.hh